[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SplitBase |

`#include <vigra/random_forest/rf_split.hxx>`

Inheritance diagram for SplitBase:

List of all members.

## Public Member Functions
template<class T, class C, class T2, class C2, class Region, class Random>
int | findBestSplit (MultiArrayView< 2, T, C > features, MultiArrayView< 2, T2, C2 > labels, Region region, ArrayVector< Region > childs, Random randint)
template<class T, class C, class T2, class C2, class Region, class Random>
int | makeTerminalNode (MultiArrayView< 2, T, C > features, MultiArrayView< 2, T2, C2 > labels, Region &region, Random randint)
void | reset ()
template<class T>
void | set_external_parameters (ProblemSpec< T > const &in)

## Detailed Description

### template<class Tag>
class vigra::SplitBase< Tag >

Base Class for all SplitFunctors used with the RandomForest class defines the interface used while learning a tree.

## Member Function Documentation

template<class T, class C, class T2, class C2, class Region, class Random>
int findBestSplit | ( | MultiArrayView< 2, T, C > | features,
|  | MultiArrayView< 2, T2, C2 > | labels,
|  | Region | region,
|  | ArrayVector< Region > | childs,
|  | Random | randint |
| ) |  |  |

findBestSplit has to be implemented in derived split functor. these functions only insures That a CompileTime error is issued if no such method was defined.

template<class T, class C, class T2, class C2, class Region, class Random>
int makeTerminalNode | ( | MultiArrayView< 2, T, C > | features,
|  | MultiArrayView< 2, T2, C2 > | labels,
|  | Region & | region,
|  | Random | randint |
| ) |  |  |

default action for creating a terminal Node. sets the Class probability of the remaining region according to the class histogram

void reset | ( |  | ) |

resets internal data. Should always be called before calling findBestSplit or makeTerminalNode

template<class T>
void set_external_parameters | ( | ProblemSpec< T > const & | in | ) |

returns the DecisionTree Node created by findBestSplit or makeTerminalNode.

Reimplemented in ThresholdSplit.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_split.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)